## h
Tag inputHidden

Tag Information
Tag Class | org.apache.myfaces.taglib.html.HtmlInputHiddenTag
TagExtraInfo Class | None
Body Content | JSP
Display Name | None

Attributes
Name | Required | Request-time | Type | Description
binding | false | false | `java.lang.String` | Component binding.
converter | false | false | `java.lang.String` | Id of Converter to be used or reference to a Converter.
id | false | false | `java.lang.String` | Every component may have an unique id. Automatically created if omitted.
immediate | false | false | `java.lang.String` | Flag indicating that this component's value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until Process Validations phase.
rendered | false | false | `java.lang.String` | If false, this component will not be rendered.
required | false | false | `java.lang.String` | If true, this component will be checked for non-empty input.
validator | false | false | `java.lang.String` | MethodBinding pointing at a method that will be called during Process Validations phase of the request processing lifecycle, to validate the current value of this component.
value | false | false | `java.lang.String` | Initial value to set when rendered for the first time.
valueChangeListener | false | false | `java.lang.String` | Listener for value changes.

Variables
No Variables Defined.

Output Generated by Tag Library Documentation Generator. Java, JSP, and JavaServer Pages are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries. Copyright 2002-4 Sun Microsystems, Inc. 4150 Network Circle Santa Clara, CA 95054, U.S.A. All Rights Reserved.